#include "jsocket.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#include "util.h"

/*
 * Cliente de cat-remoto
 */

int main(int argc, char** argv){
  int s;
  if(argc != 4){
    fprintf(stderr, "error con el numero de argumentos\n");
    exit(1);
  }
  s = j_socket();

  if(j_connect(s, argv[1], atoi(argv[2])) < 0) {
    perror("connect");
    exit(2);
  }

  sendstr(s, argv[3]);
  /* Asignamos el socket a la entrada estandar */
  close(0);
  dup(s);
  /* close(s); */

  /* Transformamos el proceso a cat */
  execlp("cat","cat",NULL);
  perror("execlp");
  return 1;
}
